#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_game_level_configData
{
	//ID
	int64_t mID;
	//等级
	int mleve;
	//所需经验
	int mup_exp;
	//同屏怪物数量
	int mmonster_num;
};

class M_game_level_config
{
public:
private:
	static std::auto_ptr<M_game_level_config> msSingleton;
public:
	int GetCount();
	const M_game_level_configData* GetData(int64_t ID);
	boost::unordered_map<int64_t, M_game_level_configData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_game_level_config* GetSingleton();
private:
	boost::unordered_map<int64_t, M_game_level_configData> mMapData;
};
